Subject: bug#18398: AW: bug#18398: Probably found a bug in grep

From: "Bergen, Andreas" <[email-masked]>
Date: Thu, 4 Sep 2014 08:28:07 +0000

Thanks a lot.
I've tried with the newest version available for Suse Linux (grep 2.7-5.7.1 in SLES 11 SP3) and the bug seems to be fixed there as well.

Best regards
  Andreas

---
Andreas Bergen
Solution Architect

All for One Steeb AG
Gottlieb-Manz-Straße 1
70794 Filderstadt
T  +49 711 78807-689
F  +49 711 78807-92689
M +49 151 53824-689
[email-masked]
www.all-for-one.com

-----Ursprüngliche Nachricht-----
Von: Paul Eggert [mailto:[email-masked]]
Gesendet: Mittwoch, 3. September 2014 22:15
An: Bergen, Andreas; [email-masked]
Betreff: Re: bug#18398: Probably found a bug in grep

Bergen, Andreas wrote:
> Version     : 2.5.1a

Thanks for the report.  As shown below, I can't reproduce the bug with
grep 2.20 (the current version) in either the en_US.utf8 or the
de_DE.utf8 locales.  grep 2.5.1a is pretty old (dated 2004) and several
bugs have been fixed in this area in the last ten years, so I suggest
upgrading and I'm taking the liberty of marking this as done.

$ cat testfile
A
Ä
$ grep -F -eÄ -eA testfile
A
Ä
$ grep -i -eÄ -eA testfile
A
Ä
$ grep -iF -eÄ -eA testfile
A
Ä

________________________________

All for One Steeb AG, Sitz der Gesellschaft: Filderstadt. Amtsgericht Stuttgart: HRB 19 539,
Vorstand: Lars Landwehrkamp (Sprecher), Stefan Land
Vorsitzender des Aufsichtsrats: Peter Brogle

Diese E-Mail (einschließlich aller Anhänge) kann Betriebs- oder Geschäftsgeheimnisse bzw. sonstige vertrauliche und/oder rechtlich geschützte Informationen enthalten. Sollten Sie diese E-Mail irrtümlich erhalten haben, ist Ihnen jede Kenntnisnahme des Inhalts, Nutzung, Vervielfältigung, oder Weitergabe der E-Mail (einschließlich aller Anhänge) ausdrücklich untersagt. Bitte benachrichtigen Sie uns umgehend und vernichten Sie die empfangene E-Mail. Vielen Dank.

This e-mail (including any attachments) may contain business or trade secrets or other confidential and / or legally protected information. If you have received this e-mail in error, you are hereby notified that any review, use, copying, or distribution of it is strictly prohibited. Please inform us immediately and destroy this e-mail. Thank you.